org.eclipse.ease.debugging.events.debugger

## Class EvaluateExpressionEvent

- java.lang.Object
- - org.eclipse.ease.debugging.events.AbstractEvent
  - - org.eclipse.ease.debugging.events.debugger.EvaluateExpressionEvent

All Implemented Interfaces:
  IDebuggerEvent, IDebugEvent

    public class EvaluateExpressionEvent
    extends AbstractEvent
    implements IDebuggerEvent

### Constructor Summary

Constructors
Constructor and Description
`EvaluateExpressionEvent(java.lang.String expression, java.lang.Object result, java.lang.Throwable exception, IWatchExpressionListener listener)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Throwable` `getException()`
`IWatchExpressionListener` `getListener()`
`java.lang.Object` `getResult()`
`IWatchExpressionResult` `getWatchExpressionResult(EaseDebugElement debugElement)`
`java.lang.String` `toString()`

### Methods inherited from class org.eclipse.ease.debugging.events.AbstractEvent

`getThread`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### EvaluateExpressionEvent

    public EvaluateExpressionEvent(java.lang.String expression,
                                   java.lang.Object result,
                                   java.lang.Throwable exception,
                                   IWatchExpressionListener listener)

### Method Detail

#### getResult

    public java.lang.Object getResult()

#### getException

    public java.lang.Throwable getException()

#### getListener

    public IWatchExpressionListener getListener()

#### getWatchExpressionResult

    public IWatchExpressionResult getWatchExpressionResult(EaseDebugElement debugElement)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `AbstractEvent`